# Update a Dot Phrase

```
PATCH 
/dot_phrases/:id
```

Update a Dot Phrase.

## Request[​](#request "Direct link to Request")

### Path Parameters

* **id**
  <!-- -->
  string\<uuid>required

  The unique identifier of the Dot Phrase.

  **Example:<!-- -->&#x20;**`23A9981B-9E46-4ADB-BB0B-8E406C624540`

- application/json

### Body**required**

* **title**string

  A user-friendly title for the Dot Phrase. Does not impact the matching logic.

  **Example:<!-- -->&#x20;**`Normal physical exam`

  **trigger**string

  The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.

  **Example:<!-- -->&#x20;**`Your physical exam is normal`

  **content\_auto\_update\_enabled**boolean

  If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.

  **Example:<!-- -->&#x20;**`false`

  **replacement**string

  The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.

  **Example:<!-- -->&#x20;**`- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly.`

## Responses[​](#responses "Direct link to Responses")

* 200

- application/json

* Schema
* Example (from schema)

**Schema**

* **id**uuidrequired

  Unique identifier of the Dot Phrase.

  **title**stringrequired

  A user-friendly title for the Dot Phrase. Does not impact the matching logic.

  **Example:<!-- -->&#x20;**`Normal physical exam`

  **trigger**stringrequired

  The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.

  **Example:<!-- -->&#x20;**`Your physical exam is normal`

  **content\_auto\_update\_enabled**booleanrequired

  If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.

  **Example:<!-- -->&#x20;**`false`

  **replacement**stringrequired

  The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.

  **Example:<!-- -->&#x20;**`- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly.`

```
{

  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",

  "title": "Normal physical exam",

  "trigger": "Your physical exam is normal",

  "content_auto_update_enabled": false,

  "replacement": "- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly."

}
```

## Operation spec

```json
{
  "method": "patch",
  "path": "/dot_phrases/{id}",
  "operationId": "update-copilot-user-dot-phrase",
  "parameters": [
    {
      "name": "id",
      "description": "The unique identifier of the Dot Phrase.",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid",
        "description": "A unique identifier.",
        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
        "title": "uuid"
      },
      "example": "23A9981B-9E46-4ADB-BB0B-8E406C624540"
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "description": "Only provide the fields you want to patch.",
          "x-optional-properties": [
            "title",
            "trigger",
            "replacement",
            "content_auto_update_enabled"
          ],
          "properties": {
            "title": {
              "type": "string",
              "description": "A user-friendly title for the Dot Phrase. Does not impact the matching logic.",
              "example": "Normal physical exam"
            },
            "trigger": {
              "type": "string",
              "description": "The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.",
              "example": "Your physical exam is normal"
            },
            "content_auto_update_enabled": {
              "type": "boolean",
              "description": "If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.",
              "example": false
            },
            "replacement": {
              "type": "string",
              "description": "The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.",
              "example": "- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly."
            }
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "The updated Dot Phrase.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "description": "Dot phrase, also referred to as EHR (Electronic Health Record) macro, is a concise abbreviation (`trigger`) that unfolds into a predefined, extended text (`replacement`).",
            "properties": {
              "id": {
                "type": "string",
                "format": "uuid",
                "description": "Unique identifier of the Dot Phrase."
              },
              "title": {
                "type": "string",
                "description": "A user-friendly title for the Dot Phrase. Does not impact the matching logic.",
                "example": "Normal physical exam"
              },
              "trigger": {
                "type": "string",
                "description": "The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.",
                "example": "Your physical exam is normal"
              },
              "content_auto_update_enabled": {
                "type": "boolean",
                "description": "If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.",
                "example": false
              },
              "replacement": {
                "type": "string",
                "description": "The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.",
                "example": "- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly."
              }
            },
            "required": [
              "id",
              "title",
              "trigger",
              "content_auto_update_enabled",
              "replacement"
            ],
            "title": "copilot_api_dot_phrase"
          }
        }
      }
    }
  }
}
```
